#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

install(
  FILES uninstall.desktop
  RENAME kmailcvt.desktop
  DESTINATION ${APPS_INSTALL_DIR}/Utilities )


##### kmailcvt (executable) #####################

tde_add_executable( kmailcvt AUTOMOC
  SOURCES
    kimportpagedlg.ui kimportpage.cpp kselfilterpagedlg.ui
    kselfilterpage.cpp filters.cpp filter_oe.cpp kmailcvt.cpp main.cpp
    filter_pmail.cpp filter_plain.cpp filter_outlook.cpp filter_mbox.cpp
    filter_evolution.cpp filter_mailapp.cpp filter_evolution_v2.cpp
    filter_opera.cpp filter_thunderbird.cpp filter_kmail_maildir.cpp
    filter_sylpheed.cpp filter_thebat.cpp filter_lnotes.cpp
    filter_kmail_archive.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
